Subject: bug#22296: 25.1.50; Document changes to `delete-selection-mode'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Jan 2016 14:11:12 +0200

> Date: Sun, 3 Jan 2016 11:54:12 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> That helper-function doc string is really not the right place
> for it, IMO (though I am glad it was at least added to some
> doc string).  Users will look to the command/mode doc string
> more than to a helper-function doc string, for information
> about how to use delete-selection mode.

I added a link in the doc string of delete-selection-mode to
delete-selection-helper and delete-selection-pre-hook.

> D-s mode is not only about replacing selected text by text
> you type.  It also deletes selected text when you hit certain
> deletion keys.  This info is missing.

I added that.

> Whether most Emacs users need to know this or it could be
> presented only in the Elisp manual is another question.  I think
> that an end user will also want to know that s?he can override
> the default d-s-mode behavior for any given commands, and that
> the way to do that is to set property `delete-selection' on the
> command symbol.  Pretty simple to do, but you need to know about
> it to do it.

I added to the ELisp manual text that briefly mentions how Delete
Selection mode affects commands, and refers to the doc strings of
delete-selection-pre-hook and delete-selection-helper.

I think this makes the documentation of this quite adequate, so I'm
marking this bug done.